Bug 58388 - mozilla seg faults with glibc-2.2.90-3
mozilla seg faults with glibc-2.2.90-3
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
1.0
alphaev6 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-15 11:48 EST by Andrew Schultz
Modified: 2016-11-24 09:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-13 09:23:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Schultz 2002-01-15 11:48:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux alpha; en-US; rv:0.9.7) Gecko/20011226

Description of problem:
I upgraded to glibc-2.2.90-3, and mozilla (0.9.7 from rpm) now seg-faults
immediately when I run it.  Downgrading to glibc-2.2.4-19.3 fixed the problem.

Version-Release number of selected component (if applicable):
2.2.90-3

How reproducible:
Always

Steps to Reproduce:
1. upgrade to glibc-2.2.90-3.alphaev6.rpm
2. run mozilla
3.
	

Actual Results:  segmentation fault

Expected Results:  mozilla should run

Additional info:

98+% of the rest of my system is not rawhide (updated RH7.1)
Comment 1 Andrew Schultz 2002-01-19 15:35:52 EST
here is a stack trace from gdb:

#0  0x2000059719c in libc_internal_tsd_get () from /lib/libpthread.so.0
#1  0x20000b03300 in malloc_hook_ini () from /lib/libc.so.6.1
#2  0x20000afbd00 in calloc () from /lib/libc.so.6.1
#3  0x2000053a6ec in PR_Calloc (nelem=1, elsize=24) at prmem.c:373
#4  0x2000052f548 in PR_NewLogModule (name=0x2000056f818 "clock") at prlog.c:328
#5  0x20000544110 in _PR_InitStuff () at prinit.c:179
#6  0x2000054445c in _PR_ImplicitInitialization () at prinit.c:256
#7  0x2000052f530 in PR_NewLogModule (name=0x200004a0a9d "nsTimerImpl") at
prlog.c:326
#8  0x200003e5194 in __static_initialization_and_destruction_0
(__initialize_p=1, __priority=65535) at
../../dist/include/string/nsBufferHandle.h:61
#9  0x200003e5d58 in global constructors keyed to TimerThread::AddRef () at
../../dist/include/string/nsBufferHandle.h:381
#10 0x20000492a70 in __do_global_ctors_aux () from
/usr/users/andrew/mozilla/src/mozilla/dist/bin/libxpcom.so


also note that I'm running kernel 2.4.9-12, so it's not the kernel issue mention
in bug #58308
Comment 2 Andrew Schultz 2002-01-24 19:28:06 EST
Seems to work fine on an Athlon-XP system.  Probably Alpha-only.
Comment 3 Andrew Schultz 2002-05-03 14:11:46 EDT
Mozilla (1.0rc1) works fine with the current rawhide (2.2.5-34) glibc.
Comment 4 Andrew Schultz 2004-04-13 09:23:14 EDT
Alpha is dead.

Note You need to log in before you can comment on or make changes to this bug.